randboot.multiblock {ade4} | R Documentation

## Bootstraped simulations for multiblock methods

### Description

Function to perform bootstraped simulations for multiblock principal component analysis with instrumental variables or multiblock partial least squares, in order to get confidence intervals for some parameters, i.e., regression coefficients, variable and block importances

### Usage

    ## S3 method for class 'multiblock'
    randboot(object, nrepet = 199, optdim, ...)

### Arguments

`object` | an object of class multiblock created by `mbpls` or `mbpcaiv`
`nrepet` | integer indicating the number of repetitions
`optdim` | integer indicating the optimal number of dimensions, i.e., the optimal number of global components to be introduced in the model
`...` | other arguments to be passed to methods

### Value

A list containing objects of class `krandboot`

### Author(s)

Stéphanie Bougeard (stephanie.bougeard@anses.fr) and Stéphane Dray (stephane.dray@univ-lyon1.fr)

### References

Carpenter, J. and Bithell, J. (2000) Bootstrap confidence intervals: when, which, what? A practical guide for medical statisticians.Statistics in medicine, 19, 1141-1164.

Bougeard, S. and Dray S. (2018) Supervised Multiblock Analysis in R with the ade4 Package. Journal of Statistical Software, 86 (1), 1-17. http://doi.org/10.18637/jss.v086.i01

### See Also

`mbpcaiv`, `mbpls`, `testdim.multiblock`, `as.krandboot`

### Examples

    data(chickenk)
    Mortality <- chickenk[[1]]
    dudiY.chick <- dudi.pca(Mortality, center = TRUE, scale = TRUE, scannf =
    FALSE)
    ktabX.chick <- ktab.list.df(chickenk[2:5])
    resmbpcaiv.chick <- mbpcaiv(dudiY.chick, ktabX.chick, scale = TRUE,
    option = "uniform", scannf = FALSE, nf = 4)
    ## nrepet should be higher for a real analysis
    test <- randboot(resmbpcaiv.chick, optdim = 4, nrepet = 10)
    test
    if(adegraphicsLoaded())
    plot(test$bipc)

[Package ade4 version 1.7-13 Index]